Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring Data Commons
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.data.persistence
Class HashMapChangeSet

    java.lang.Object
      org.springframework.data.persistence.HashMapChangeSet

All Implemented Interfaces:
  ChangeSet

    public class HashMapChangeSet

extends Object
implements ChangeSet

Simple ChangeSet implementation backed by a HashMap.

Author:
  Thomas Risberg, Rod Johnson

Constructor Summary
`HashMapChangeSet()`
`HashMapChangeSet(Map<String,Object> values)`

Method Summary
`
`<T> T`
` | `get(String key, Class<T> requiredClass, ConversionService conversionService)`
`Map<String,Object>` | `getValues()`
`Object` | `removeProperty(String k)`
`void` | `set(String key, Object o)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HashMapChangeSet

    public HashMapChangeSet(Map<String,Object> values)

### HashMapChangeSet

    public HashMapChangeSet()

Method Detail

### set

    public void set(String key,
                    Object o)

  Specified by:
    `set` in interface `ChangeSet`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getValues

    public Map<String,Object> getValues()

  Specified by:
    `getValues` in interface `ChangeSet`

### removeProperty

    public Object removeProperty(String k)

  Specified by:
    `removeProperty` in interface `ChangeSet`

### get

    public <T> T get(String key,
                     Class<T> requiredClass,
                     ConversionService conversionService)

  Specified by:
    `get` in interface `ChangeSet`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring Data Commons
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.